
Name:		andromeda
Version:	0.3
Release:	%mkrel 12
Summary:	Qt File manager
Group:		File tools
License:	GPLv2+
Url:		https://github.com/ABBAPOH/andromeda
Source:		https://github.com/ABBAPOH/%{name}/archive/v%{version}.tar.gz
Patch0:		andromeda-0.3-library.patch
Patch1:         andromeda-0.3-fix-build.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel >= 4.7
BuildRequires:	qt4-linguist
BuildRequires:	desktop-file-utils

%description
Multiplatform file manager written in Qt4.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
export QA_RPATHS=0x0001
%cmake_install

# FIXME remove a single localized key on Comment[ru] of imageviewer.desktop file
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	--remove-key=Comment[ru] \
	%{buildroot}%{_datadir}/applications/imageviewer.desktop

%files
%doc TODO.txt
%{_bindir}/%{name}
%{_bindir}/imageviewer
%dir %attr(0755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/libextensionsystem.so
%{_libdir}/libfilemanager.so
%{_libdir}/libguisystem.so
%{_libdir}/libimageviewer.so
%{_libdir}/libio.so
%{_libdir}/libwidgets.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/imageviewer.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/imageviewer.png


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.3-12.mga9
+ Revision: 1841559
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 mrambo3501 <mrambo3501> 0.3-11.mga9
+ Revision: 1790299
- remove the global rpath disable
- ignore the standard 0x0001 rpath

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.3-10.mga9
+ Revision: 1790103
- disable rpath checking

* Wed Feb 12 2020 umeabot <umeabot> 9.mga8-current
+ Revision: 1508469
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.3-8.mga7
+ Revision: 1294330
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 neoclust <neoclust> 0.3-6.mga6
+ Revision: 904085
- More work on arm build

* Wed Nov 18 2015 neoclust <neoclust> 0.3-5.mga6
+ Revision: 903992
- Try to fix arm build

* Wed Nov 18 2015 neoclust <neoclust> 0.3-4.mga6
+ Revision: 903984
- Add includes to fix build on ARM

* Wed Oct 15 2014 umeabot <umeabot> 0.3-3.mga5
+ Revision: 741525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-2.mga5
+ Revision: 677758
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 daviddavid <daviddavid> 0.3-1.mga5
+ Revision: 657786
- update file list
- rename Patch0 and update link URL of Source0
- fix typo on description
- change summary adding Qt
- new version: 0.3

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 502489
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.1-3.mga3
+ Revision: 345543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 0.2.1-2.mga3
+ Revision: 311248
- Java Stack Mass Rebuild

* Sat Sep 22 2012 anaselli <anaselli> 0.2.1-1.mga3
+ Revision: 296663
- fixed libraries position
+ matteo <matteo>
- added missing br (cmake)
- imported package andromeda

